# Packmanpackagename: tntdb
# Packman: Manfred Tremmel
# norootforbuild

%define major     2
%define lib       libtntdb
%define libname   %{lib}%{major}

Name:           %{libname}
Summary:        Tntdb is a c++-class-library for easy database-access
Version:        1.1
Release:        1.pm.1.1
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Url:            http://www.tntnet.org/tntdb.hms
Source0:        tntdb-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/tntdb-%{version}-%{release}-root
BuildRequires:  zip
BuildRequires:  glibc-devel
BuildRequires:  libcxxtools-devel >= 2.0
BuildRequires:  tntnet
BuildRequires:  libtntnet-devel >= 2.0
BuildRequires:  gcc-c++
BuildRequires:  mysql-devel
BuildRequires:  postgresql-devel
BuildRequires:  sqlite-devel >= 3
BuildRequires:  openssl-devel
BuildRequires:  lzo
BuildRequires:  lzo-devel
BuildRequires:  doxygen
Obsoletes:      tntdb%{major} < %{version}-%{release}
Provides:       tntdb%{major} = %{version}-%{release}

%description
Tntdb is a c++-class-library for easy database-access. It creates
a simple database independent layer, which loads drivers when needed.
Currently postgresql, sqlite3 and mysql are supported.

The main goals are:
* easy to use
* safe - use prepared statements with named parameters
* fast - only a thin layer


%package -n tntdb%{major}-mysql
Summary:        Tntdb is a c++-class-library for easy database-access - mysql
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n tntdb%{major}-mysql
Tntdb is a c++-class-library for easy database-access
Tntdb library to access mysql databases


%package -n tntdb%{major}-postgresql
Summary:        Tntdb is a c++-class-library for easy database-access - postgresql
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n tntdb%{major}-postgresql
Tntdb is a c++-class-library for easy database-access
Tntdb library to access postgresql databases


%package -n tntdb%{major}-sqlite
Summary:        Tntdb is a c++-class-library for easy database-access - sqlite
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n tntdb%{major}-sqlite
Tntdb is a c++-class-library for easy database-access
Tntdb library to access sqlite databases


%package -n %{lib}-devel
Summary:        Tntdb is a c++-class-library for easy database-access
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       glibc-devel
Requires:       libcxxtools-devel >= 2.0
Requires:       libtntnet-devel >= 2.0
Requires:       lzo
Requires:       lzo-devel
Requires:       doxygen
Obsoletes:      tntdb-devel < %{version}-%{release}
Provides:       tntdb-devel = %{version}-%{release}

%description -n %{lib}-devel
Tntdb is a c++-class-library for easy database-access. It creates
a simple database independent layer, which loads drivers when needed.
Currently postgresql, sqlite3 and mysql are supported.
Development files



%prep
%setup -q -n tntdb-%{version}

%build
%{configure}
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
%{__install} -d -m755 %{buildroot}%{_datadir}/doc/packages/tntdb-devel
%{__mv} %{buildroot}%{_datadir}/doc/tntdb/* %{buildroot}%{_datadir}/doc/packages/tntdb-devel
%{__rm} -rf %{buildroot}%{_datadir}/doc/tntdb

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.%{major}*
%dir %{_libdir}/tntdb

%files -n tntdb%{major}-mysql
%defattr (-, root, root)
%{_libdir}/tntdb/tntdb2-mysql*.so.%{major}*

%files -n tntdb%{major}-postgresql
%defattr (-, root, root)
%{_libdir}/tntdb/tntdb2-postgresql*.so.%{major}*

%files -n tntdb%{major}-sqlite
%defattr (-, root, root)
%{_libdir}/tntdb/tntdb2-sqlite*.so.%{major}*

%files -n %{lib}-devel
%defattr (-, root, root)
%doc %{_datadir}/doc/packages/tntdb-devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/tntdb/tntdb2-*.so
%{_libdir}/tntdb/tntdb2-*.*a

%changelog
* Tue Aug 03 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2.0-1.pm.0
- Update to 1.1
* Mon Sep 21 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.0.2-1.pm.2
- added patch to compile it with gcc 4.4 (openSUSE 11.2)
* Thu Sep 03 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.0.2-1.pm.1
- cleanups where rpmlint wasn't so happy
* Thu Jul 31 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.0.2 - better late, then never ;-)
* Sun Jun 15 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.0.1
* Tue Mar 25 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild against new cxxtools and tntnet
* Mon Mar 10 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- rebuild against new cxxtools and tntnet
* Mon Feb 25 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1.0.0
* Mon Dec 17 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial build
